Outlook Versions Supported

Follow

 Connect for Outlook is supported for the following Exchange and Office 365 configurations: 

Screen_Shot_2017-09-05_at_4.00.11_PM.png

More information on whether your Outlook client supports add-ins is available here: https://store.office.com/help/checkoutlookaddinsupport.aspx 
 
 
For the SalesLoft Connect add-in to function correctly, some customers will need to upgrade to a newer version to avoid functionality disruption.

Exchange 2013 Users - Exchange 2013 Version#CU_15 version is required.

Outlook for Windows 13 - You must be running version #15.0.4605.1003 or higher.

Outlook for Mac 16 - You must be running version # 15.35 (170509) or higher.
 
Instructions on how to check your Outlook client version are available here: https://support.office.com/en-us/article/Where-s-the-version-number-33ee6436-f1fd-4cdd-9904-8aec22e3b34c?omkt=en-US&ui=en-US&rs=en-US&ad=US&ocmsassetID=HA104118904
 

 

Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.
Powered by Zendesk